<!-- <p-dataTable [value]="lancamentos" [paginator]="true" rows="5" [responsive]="true">
    <p-column field="pessoa" header="Pessoa"></p-column>
    <p-column field="descricao" header="Descrição"></p-column>
    <p-column field="dataVencimento" header="Vencimento" styleClass="col-data"></p-column>
    <p-column field="dataPagamento" header="Pagamento" styleClass="col-data"></p-column>
    <p-column field="valor" header="Valor" styleClass="col-valor">
        <ng-template let-lancamento="rowData" pTemplate="body">
            <span [style.color]="lancamento.tipo === 'DESPESA' ? 'red' : 'blue'">{{lancamento.valor}}</span>
        </ng-template>
    </p-column>
    <p-column header="Ações" styleClass="col-acoes">
        <ng-template pTemplate="body">
            <button pButton icon="fa-pencil" pTooltip="Editar" tooltipPosition="top"></button>
            <button pButton icon="fa-trash" pTooltip="Exluir" tooltipPosition="top"></button>
        </ng-template>
    </p-column>
</p-dataTable> -->

<p-table [value]="lancamentos" [paginator]="true" rows="5" [responsive]="true" class="tabela">
    <ng-template pTemplate="header" let-lancamentos>
        <tr>
            <th class="col-id" >Pessoa</th>
            <th>Descrição</th>
            <th>Vencimento</th>
            <th class="col-data">Pagamento</th>
            <th class="col-data">Valor</th>
            <th class="col-acoes">Ações</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-lancamentos>
        <tr>
            <td>{{lancamentos.pessoas.nome}}</td>
            <td>{{lancamentos.descricao}}</td>
            <td>{{lancamentos.dataVencimento}}</td>
            <td>{{lancamentos.dataPagamento}}</td>
            <td><span [style.color]="lancamentos.tipo === 'DESPESA' ? 'red' : 'blue'">{{lancamentos.valor}}</span></td>
            <td class="col-acoes">
                <button pButton icon="fa-pencil" pTooltip="Editar" tooltipPosition="top" (click)="showDialogToEdit(lancamentos.id)"></button>
                <button pButton icon="fa-trash" pTooltip="Exluir" tooltipPosition="top" (click)="confirm(lancamentos.id)"></button>
            </td>
        </tr>
    </ng-template>
</p-table>
